import { HttpException, HttpStatus } from '@nestjs/common';
import { Busquedas } from './busquedas.entity';
import { Repository } from 'typeorm';
import { CreateBusquedasDto } from './dto/create-busquedas.dto';
import { UpdateBusquedasDto } from './dto/update-busquedas.dto';
export declare class BusquedasService {
    private busquedaRepository;
    constructor(busquedaRepository: Repository<Busquedas>);
    createData(busqueda: CreateBusquedasDto): Promise<Busquedas | HttpException>;
    getData(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: import("../perfil/perfil.entity").Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: Busquedas[];
        };
        id: number;
        nombre: string;
        filtros: number;
        deleted_at: Date;
        user_id: number;
    }[]>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: import("../perfil/perfil.entity").Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: Busquedas[];
        };
        id: number;
        nombre: string;
        filtros: number;
        deleted_at: Date;
        user_id: number;
    }>;
    createTipoVivienda(busqueda: CreateBusquedasDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            filtros: number;
            deleted_at: Date;
            user_id: number;
            user: import("../users/user.entity").User;
        };
        status: HttpStatus;
        message: string;
    }>;
    updateData(id: number, busqueda: UpdateBusquedasDto): Promise<HttpException | (Busquedas & UpdateBusquedasDto)>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
